<nav class="fr-sidemenu fr-sidemenu--sticky-full-height gn-sidemenu" role="navigation" aria-label="Menu latéral">
    <div class="fr-sidemenu__inner">
        <button class="fr-sidemenu__btn" aria-controls="fr-sidemenu-wrapper" aria-expanded="false">
            Dans cette rubrique
        </button>
        <div class="fr-collapse" id="fr-sidemenu-wrapper">
            <ul class="fr-sidemenu__list">
                <li class="fr-sidemenu__item">
                    <a class="fr-sidemenu__link" href="/contenus{% if currentCategory %}/{{currentCategory}}{% endif %}" target="_self" {% if
                        activePage=='contents' %} aria-current="page" {% endif %}>
                        <span class="fr-icon-image-fill" aria-hidden="true"></span>
                        Tableau de bord
                    </a>
                </li>
                <li class="fr-sidemenu__item">
                    <a class="fr-sidemenu__link" href="/contenus/editer{% if currentCategory %}/{{currentCategory}}{% endif %}" target="_self" {% if
                        activePage=='edit-contents' %} aria-current="page" {% endif %}>
                        <span class="fr-icon-send-plane-line" aria-hidden="true"></span>
                        Publier
                    </a>
                </li>
                <li class="fr-sidemenu__item">
                    <a class="fr-sidemenu__link" href="/contenus/liste-diffusion{% if currentCategory %}/{{currentCategory}}{% endif %}" target="_self" {% if
                        activePage=='distribution' %} aria-current="page" {% endif %}>
                        <span class="fr-icon-rss-fill" aria-hidden="true"></span>
                        Liste de diffusion
                    </a>
                </li>
            </ul>
            <section class="fr-accordion gn-sidemenu__categories">
                    <h3 class="fr-accordion__title">
                        <button class="fr-accordion__btn" aria-expanded="{% if currentCategory is empty %}false{% else %}true{% endif %}" aria-controls="categories">Cat&eacute;gorie(s)</button>
                    </h3>
                    <div class="fr-collapse" id="categories">
                        <ul class="fr-sidemenu__list">
                            <li class="fr-sidemenu__item"><button class="fr-btn fr-btn--tertiary-no-outline fr-icon-add-line"
                                title="Ajouter une cat&eacute;gorie" data-fr-opened="false"
                                aria-controls="addCategoryModal">Ajouter une cat&eacute;gorie
                            </button></li>
                            {% if organization.categories|length > 0 %}
                                {% if 'editer' in currentUrl %}
                                    {% set urlCategory = domain ~ '/contenus/editer' %}
                                {% elseif 'liste-diffusion' in currentUrl %}
                                    {% set urlCategory = domain ~ '/contenus/liste-diffusion' %}
                                {% elseif 'contenus' in currentUrl %}
                                    {% set urlCategory = domain ~ '/contenus' %}
                                {% endif %}
                                {% if organization.categories|length > 1 %}
                                    <li class="fr-sidemenu__item">
                                        <a class="fr-sidemenu__link" href="{{ urlCategory }}"
                                            {% if currentCategory is empty %}aria-current="page" {% endif %}
                                            target="_self">Toutes...</a>
                                    </li>
                                {% endif %}
                                {% for category in organization.categories %}
                                    <li class="fr-sidemenu__item" id="category{{ category.id }}">

                                        <a class="fr-sidemenu__link" href="{{ urlCategory ~ '/' ~ category.id }}"
                                            {% if currentCategory == category.id %}aria-current="page" {% endif %}
                                            target="_self">{{ category.name }}</a>
                                        <div>
                                            <button
                                                class="fr-btn fr-btn--tertiary-no-outline fr-icon-pencil-fill fr-btn--sm edit-category"
                                                title="&Eacute;diter" data-category-id="{{ category.id }}">
                                                &Eacute;diter
                                            </button>
                                            <button
                                                class="fr-btn fr-btn--tertiary-no-outline fr-icon-delete-bin-fill fr-btn--sm delete-category"
                                                title="Supprimer" data-category-id="{{ category.id }}">
                                                Supprimer
                                            </button>
                                        </div>
                                    </li>
                                {% endfor %}
                            {% else %}
                                <li class="fr-sidemenu__item">
                                    <a class="fr-sidemenu__link"><em>Aucune
                                            cat&eacute;gorie</em></a>
                                </li>
                            {% endif %}
                        </ul>
                    </div>
            </section>
        </div>
    </div>
</nav>

{% include './modals/category/create-category.html' %}
{% include './modals/category/edit-category.html' %}
{% include './modals/category/delete-category.html' %}
